#!/bin/sh
#
# @(#)makerel.sh	3.7 94/06/21
#
# Make software binary release
#
#    xmcd  - Motif(tm) CD Audio Player
#    cda   - Command-line CD Audio Player
#
#    Copyright (C) 1994  Ti Kan
#    E-mail: ti@amb.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

FILES="	README \
	install.sh \
	libdi.d/configure.sh \
	libdi.d/common.cfg \
	libdi.d/device.cfg \
	libdi.d/cfgtbl/Apple \
	libdi.d/cfgtbl/Chinon \
	libdi.d/cfgtbl/Compaq \
	libdi.d/cfgtbl/DEC \
	libdi.d/cfgtbl/Hitachi \
	libdi.d/cfgtbl/IBM \
	libdi.d/cfgtbl/NEC \
	libdi.d/cfgtbl/Pioneer \
	libdi.d/cfgtbl/Plextor \
	libdi.d/cfgtbl/Procom \
	libdi.d/cfgtbl/Sony \
	libdi.d/cfgtbl/Sun \
	libdi.d/cfgtbl/Toshiba \
	xmcd.d/xmcd \
	xmcd.d/XMcd.ad \
	xmcd.d/xmcd.man \
	xmcd.d/XKeysymDB \
	xmcd.d/hlpfiles/AbBtn \
	xmcd.d/hlpfiles/CheckBox \
	xmcd.d/hlpfiles/DbModeInd \
	xmcd.d/hlpfiles/DbProgBtn \
	xmcd.d/hlpfiles/DdCancelBtn \
	xmcd.d/hlpfiles/DdClrBtn \
	xmcd.d/hlpfiles/DdDiscTxt \
	xmcd.d/hlpfiles/DdOkBtn \
	xmcd.d/hlpfiles/DiscIdInd \
	xmcd.d/hlpfiles/DiscTitleInd \
	xmcd.d/hlpfiles/DpAboutBtn \
	xmcd.d/hlpfiles/DpAddPgmBtn \
	xmcd.d/hlpfiles/DpClrPgmBtn \
	xmcd.d/hlpfiles/DpDExtBtn \
	xmcd.d/hlpfiles/DpDTitleTxt \
	xmcd.d/hlpfiles/DpSendBtn \
	xmcd.d/hlpfiles/DpPgmSeqTxt \
	xmcd.d/hlpfiles/DpSaveBtn \
	xmcd.d/hlpfiles/DpLinkBtn \
	xmcd.d/hlpfiles/DpLoadBtn \
	xmcd.d/hlpfiles/DpCancelBtn \
	xmcd.d/hlpfiles/DpTExtBtn \
	xmcd.d/hlpfiles/DpTTitleTxt \
	xmcd.d/hlpfiles/DpTimeSelBtn \
	xmcd.d/hlpfiles/DpTrkList \
	xmcd.d/hlpfiles/DsCancelBtn \
	xmcd.d/hlpfiles/DsDirList \
	xmcd.d/hlpfiles/DsOkBtn \
	xmcd.d/hlpfiles/DtCancelBtn \
	xmcd.d/hlpfiles/DtClrBtn \
	xmcd.d/hlpfiles/DtOkBtn \
	xmcd.d/hlpfiles/DtTrackTxt \
	xmcd.d/hlpfiles/EjectBtn \
	xmcd.d/hlpfiles/FfBtn \
	xmcd.d/hlpfiles/HelpBtn \
	xmcd.d/hlpfiles/IndexInd \
	xmcd.d/hlpfiles/KeypadBtn \
	xmcd.d/hlpfiles/KeypadInd \
	xmcd.d/hlpfiles/KpCancelBtn \
	xmcd.d/hlpfiles/KpClearBtn \
	xmcd.d/hlpfiles/KpEnterBtn \
	xmcd.d/hlpfiles/KpNumBtn \
	xmcd.d/hlpfiles/LevelScale \
	xmcd.d/hlpfiles/LsCancelBtn \
	xmcd.d/hlpfiles/LsLinkList \
	xmcd.d/hlpfiles/LsOkBtn \
	xmcd.d/hlpfiles/NextIdxBtn \
	xmcd.d/hlpfiles/NextTrkBtn \
	xmcd.d/hlpfiles/PlayModeInd \
	xmcd.d/hlpfiles/PlayPauseBtn \
	xmcd.d/hlpfiles/PowerBtn \
	xmcd.d/hlpfiles/PrevIdxBtn \
	xmcd.d/hlpfiles/PrevTrkBtn \
	xmcd.d/hlpfiles/ProgModeInd \
	xmcd.d/hlpfiles/RewBtn \
	xmcd.d/hlpfiles/SampleBtn \
	xmcd.d/hlpfiles/StopBtn \
	xmcd.d/hlpfiles/TimeBtn \
	xmcd.d/hlpfiles/TimeInd \
	xmcd.d/hlpfiles/TimeModeInd \
	xmcd.d/hlpfiles/TrackInd \
	xmcd.d/hlpfiles/TrackTitleInd \
	cda.d/cda \
	cda.d/cda.man \
	misc.d/demo.db \
	wm2xmcd.d/wm2xmcd \
	wm2xmcd.d/wm2xmcd.man"


# Use Sysv echo if possible
if [ -x /usr/5bin/echo ]				# SunOS SysV echo
then
	ECHO=/usr/5bin/echo
elif [ -z "`(echo -e a) 2>/dev/null | fgrep e`" ]	# GNU bash, etc.
then
	ECHO="echo -e"
else							# generic SysV
	ECHO=echo
fi

CURDIR=`pwd`
if [ `basename "$CURDIR"` = misc.d ]
then
	cd ..
elif [ ! -f install.sh ]
then
	$ECHO "You must run the makerel.sh script while in the xmcd"
	$ECHO "source code distribution top-level directory or in the"
	$ECHO "misc.d subdirectory."
	exit 1
fi

# Strip the binary symbol tables
strip xmcd.d/xmcd
strip cda.d/cda
strip wm2xmcd.d/wm2xmcd

# Remove comment section of binaries if possible
(mcs -da '@(#)xmcd v1.2 (C) Ti Kan 1994' xmcd.d/xmcd) >/dev/null 2>&1
(mcs -da '@(#)cda v1.2 (C) Ti Kan 1994' cda.d/cda) >/dev/null 2>&1
(mcs -da '@(#)wm2xmcd v1.2 (C) Ti Kan 1994' wm2xmcd.d/wm2xmcd) >/dev/null 2>&1

# Create tar archive
tar cf xmcd.tar $FILES

# Compress tar archive
compress xmcd.tar

$ECHO '
Instructions to unpack xmcd binary and other info
-------------------------------------------------

At the end of this message is a compressed and uuencoded tar
file containing the xmcd, cda and wm2xmcd utility binaries
as well as their supporting files.  To extract, save this
message in a file "xmcd.uue" and do the following while
logged in as root:

	uudecode xmcd.uue
	uncompress xmcd.tar.Z
	tar xvf xmcd.tar
	sh ./install.sh

Be sure to run the "install.sh" script to install and configure
the software.  Otherwise, it will not work properly.

See the README file for further information.
' >xmcdbin.uue

# Uuencode
uuencode xmcd.tar.Z xmcd.tar.Z >>xmcdbin.uue

rm -f xmcd.tar.Z
ls -l xmcdbin.uue
exit 0

