#!/bin/sh
#
# @(#)makeshar.sh	3.16 94/06/21
#
# Make software source code release in shar format
#
# Note: This script was designed to work with the shar program
#       as provided in the "cshar" package from Rich Salz.  Other
#       shar implementations may support different command line
#       parameters which is incompatible with cshar.  This script
#       must be modified in order to be used with those.
#
#    xmcd  - Motif(tm) CD Audio Player
#    cda   - Command-line CD Audio Player
#    libdi - CD Audio Player Device Interface Library
#
#    Copyright (C) 1994  Ti Kan
#    E-mail: ti@amb.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

TMP1=/tmp/dlist1.$$
TMP2=/tmp/dlist2.$$
TMP3=/tmp/prep.$$
BNAME=xmcdshar
MAXSZ=60000

trap "rm -f $TMP1 $TMP2 $TMP3" 0 1 2 3 5 15


#
# All files to be shar'ed
# This script makes an assumption that no file name is a complete
# sub-string of another.
#
FILES="\
Imakefile \
Makefile.std \
BUGS \
COPYING \
INSTALL \
CHANGES \
PORTING \
README \
install.sh \
make.inc \
common.d/Imakefile \
common.d/Makefile.std \
common.d/appenv.h \
common.d/patchlevel.h \
common.d/util.c \
common.d/util.h \
libdi.d/Imakefile \
libdi.d/Makefile.std \
libdi.d/libdi.h \
libdi.d/os_aix.c \
libdi.d/os_aix.h \
libdi.d/os_aux.c \
libdi.d/os_aux.h \
libdi.d/os_cdsim.c \
libdi.d/os_cdsim.h \
libdi.d/os_dec.c \
libdi.d/os_dec.h \
libdi.d/os_demo.c \
libdi.d/os_demo.h \
libdi.d/os_dgux.c \
libdi.d/os_dgux.h \
libdi.d/os_hpux.c \
libdi.d/os_hpux.h \
libdi.d/os_irix.c \
libdi.d/os_irix.h \
libdi.d/os_linux.c \
libdi.d/os_linux.h \
libdi.d/os_odt.c \
libdi.d/os_odt.h \
libdi.d/os_sun.c \
libdi.d/os_sun.h \
libdi.d/os_svr4.c \
libdi.d/os_svr4.h \
libdi.d/scsipt.c \
libdi.d/scsipt.h \
libdi.d/vu_chin.c \
libdi.d/vu_chin.h \
libdi.d/vu_hita.c \
libdi.d/vu_hita.h \
libdi.d/vu_nec.c \
libdi.d/vu_nec.h \
libdi.d/vu_pion.c \
libdi.d/vu_pion.h \
libdi.d/vu_sony.c \
libdi.d/vu_sony.h \
libdi.d/vu_tosh.c \
libdi.d/vu_tosh.h \
libdi.d/configure.sh \
libdi.d/common.cfg \
libdi.d/device.cfg \
libdi.d/cfgtbl/Apple \
libdi.d/cfgtbl/Chinon \
libdi.d/cfgtbl/Compaq \
libdi.d/cfgtbl/DEC \
libdi.d/cfgtbl/Hitachi \
libdi.d/cfgtbl/IBM \
libdi.d/cfgtbl/NEC \
libdi.d/cfgtbl/Pioneer \
libdi.d/cfgtbl/Plextor \
libdi.d/cfgtbl/Procom \
libdi.d/cfgtbl/Sony \
libdi.d/cfgtbl/Sun \
libdi.d/cfgtbl/Toshiba \
xmcd.d/Imakefile \
xmcd.d/Makefile.std \
xmcd.d/XKeysymDB \
xmcd.d/XMcd.ad \
xmcd.d/cdfunc.c \
xmcd.d/cdfunc.h \
xmcd.d/dbprog.c \
xmcd.d/dbprog.h \
xmcd.d/geom.c \
xmcd.d/geom.h \
xmcd.d/help.c \
xmcd.d/help.h \
xmcd.d/hotkey.c \
xmcd.d/hotkey.h \
xmcd.d/main.c \
xmcd.d/resource.h \
xmcd.d/widget.c \
xmcd.d/widget.h \
xmcd.d/xmcd.h \
xmcd.d/xmcd.man \
xmcd.d/bitmaps/ab.xbm \
xmcd.d/bitmaps/btnlbl.xbm \
xmcd.d/bitmaps/dbprog.xbm \
xmcd.d/bitmaps/eject.xbm \
xmcd.d/bitmaps/ff.xbm \
xmcd.d/bitmaps/help.xbm \
xmcd.d/bitmaps/keypad.xbm \
xmcd.d/bitmaps/lock.xbm \
xmcd.d/bitmaps/logo.xbm \
xmcd.d/bitmaps/nextidx.xbm \
xmcd.d/bitmaps/nexttrk.xbm \
xmcd.d/bitmaps/playpaus.xbm \
xmcd.d/bitmaps/poweroff.xbm \
xmcd.d/bitmaps/previdx.xbm \
xmcd.d/bitmaps/prevtrk.xbm \
xmcd.d/bitmaps/repeat.xbm \
xmcd.d/bitmaps/rew.xbm \
xmcd.d/bitmaps/sample.xbm \
xmcd.d/bitmaps/shuffle.xbm \
xmcd.d/bitmaps/stop.xbm \
xmcd.d/bitmaps/time.xbm \
xmcd.d/bitmaps/xmcd.xbm \
xmcd.d/hlpfiles/AbBtn \
xmcd.d/hlpfiles/CheckBox \
xmcd.d/hlpfiles/DbModeInd \
xmcd.d/hlpfiles/DbProgBtn \
xmcd.d/hlpfiles/DdCancelBtn \
xmcd.d/hlpfiles/DdClrBtn \
xmcd.d/hlpfiles/DdDiscTxt \
xmcd.d/hlpfiles/DdOkBtn \
xmcd.d/hlpfiles/DiscIdInd \
xmcd.d/hlpfiles/DiscTitleInd \
xmcd.d/hlpfiles/DpAboutBtn \
xmcd.d/hlpfiles/DpAddPgmBtn \
xmcd.d/hlpfiles/DpClrPgmBtn \
xmcd.d/hlpfiles/DpDExtBtn \
xmcd.d/hlpfiles/DpDTitleTxt \
xmcd.d/hlpfiles/DpSendBtn \
xmcd.d/hlpfiles/DpPgmSeqTxt \
xmcd.d/hlpfiles/DpSaveBtn \
xmcd.d/hlpfiles/DpLinkBtn \
xmcd.d/hlpfiles/DpLoadBtn \
xmcd.d/hlpfiles/DpCancelBtn \
xmcd.d/hlpfiles/DpTExtBtn \
xmcd.d/hlpfiles/DpTTitleTxt \
xmcd.d/hlpfiles/DpTimeSelBtn \
xmcd.d/hlpfiles/DpTrkList \
xmcd.d/hlpfiles/DsCancelBtn \
xmcd.d/hlpfiles/DsDirList \
xmcd.d/hlpfiles/DsOkBtn \
xmcd.d/hlpfiles/DtCancelBtn \
xmcd.d/hlpfiles/DtClrBtn \
xmcd.d/hlpfiles/DtOkBtn \
xmcd.d/hlpfiles/DtTrackTxt \
xmcd.d/hlpfiles/EjectBtn \
xmcd.d/hlpfiles/FfBtn \
xmcd.d/hlpfiles/HelpBtn \
xmcd.d/hlpfiles/IndexInd \
xmcd.d/hlpfiles/KeypadBtn \
xmcd.d/hlpfiles/KeypadInd \
xmcd.d/hlpfiles/KpCancelBtn \
xmcd.d/hlpfiles/KpClearBtn \
xmcd.d/hlpfiles/KpEnterBtn \
xmcd.d/hlpfiles/KpNumBtn \
xmcd.d/hlpfiles/LevelScale \
xmcd.d/hlpfiles/LsCancelBtn \
xmcd.d/hlpfiles/LsLinkList \
xmcd.d/hlpfiles/LsOkBtn \
xmcd.d/hlpfiles/NextIdxBtn \
xmcd.d/hlpfiles/NextTrkBtn \
xmcd.d/hlpfiles/PlayModeInd \
xmcd.d/hlpfiles/PlayPauseBtn \
xmcd.d/hlpfiles/PowerBtn \
xmcd.d/hlpfiles/PrevIdxBtn \
xmcd.d/hlpfiles/PrevTrkBtn \
xmcd.d/hlpfiles/ProgModeInd \
xmcd.d/hlpfiles/RewBtn \
xmcd.d/hlpfiles/SampleBtn \
xmcd.d/hlpfiles/StopBtn \
xmcd.d/hlpfiles/TimeBtn \
xmcd.d/hlpfiles/TimeInd \
xmcd.d/hlpfiles/TimeModeInd \
xmcd.d/hlpfiles/TrackInd \
xmcd.d/hlpfiles/TrackTitleInd \
cda.d/Imakefile \
cda.d/Makefile.std \
cda.d/cda.c \
cda.d/cda.h \
cda.d/cda.man \
misc.d/makerel.sh \
misc.d/makesrc.sh \
misc.d/makeshar.sh \
misc.d/demo.db \
wm2xmcd.d/Imakefile \
wm2xmcd.d/Makefile.std \
wm2xmcd.d/wm2xmcd.c \
wm2xmcd.d/wm2xmcd.man"


#
# Register a list of files to be shar'ed into a single archive
#
prep_shar()
{
	SHARNUM=`expr $SHARNUM + 1`
	SHARTOT=$SHARNUM

	rm -f $TMP1 $TMP2

	for f in $*
	do
		dname=$f
		while :
		do
			dname=`dirname $dname`
			if [ $dname != . ]
			then
				$ECHO "$dname" >>$TMP1
			else
				break
			fi
		done
	done

	if [ -r $TMP1 ]
	then
		sort $TMP1 | uniq >$TMP2
		for f in `cat $TMP2`
		do
			$ECHO "$f \c" >>$TMP3
		done
	fi

	$ECHO "$*" >>$TMP3

	rm -f $TMP1 $TMP2

	$ECHO "  == Part $SHARNUM processing done ==\n"
}


#
# Create all shar files
#
do_shar()
{
	if [ ! -r $TMP3 ]
	then
		$ECHO "Error: cannot open $TMP3"
		exit 1
	fi

	$AWK '
	{
		printf("\t%s.%02d\n", bname, NR);
		cmd = sprintf("shar -n%d -e%s -o %s.%02d -t %s %s\n",
		    NR, tot, bname, NR,
		    "\"Read the README and INSTALL files for instructions.\"",
		    $0)
		system(cmd)
	}
	' tot=$SHARTOT bname=$BNAME $TMP3
}


#
# Main execution starts here
#
SHARNUM=0

# Use Sysv echo if possible
if [ -x /usr/5bin/echo ]				# SunOS SysV echo
then
	ECHO=/usr/5bin/echo
elif [ -z "`(echo -e a) 2>/dev/null | fgrep e`" ]	# GNU bash, etc.
then
	ECHO="echo -e"
else							# generic SysV
	ECHO=echo
fi

# Use nawk instead of awk is available
if (echo "" | nawk '{ print }') >/dev/null 2>&1
then
	AWK=nawk
else
	AWK=awk
fi

# Figure out whether to use the -g option to ls
if [ `ls -ld / | wc -w` -eq 8 ]
then
	LSCMD="ls -lg"
else
	LSCMD="ls -l"
fi

CURDIR=`pwd`
if [ `basename "$CURDIR"` = misc.d ]
then
	cd ..
elif [ ! -f install.sh ]
then
	$ECHO "You must run the makeshar.sh script while in the xmcd"
	$ECHO "source code distribution top-level directory or in the"
	$ECHO "misc.d subdirectory."
	exit 1
fi

$ECHO "Creating file lists.  This will take a few minutes..."

rm -f $TMP3

# Extract names of all files bigger than MAXSZ first
LIST="$FILES"
for i in $LIST
do
	ssize=`$LSCMD $i | $AWK '
		BEGIN { n = 0 }
		{ n += $5 }
		END { printf("%d\n", n) }
	'`

	if [ $ssize -gt $MAXSZ ]
	then
		BIGFILES="$BIGFILES $i"
		n=`echo $i | sed -e 's/\//\\\\\//g'`
		FILES=`echo "$FILES" | sed -e "s/$n[ 	]*//"`
	fi
done

$ECHO ""

# Process all other files
while :
do
	s=`echo "$FILES" | sed -e 's/[ 	][ 	]*//g'`
	if [ -z "$s" ]
	then
		break
	fi

	ssize=0
	THISSHAR=""

	LIST="$FILES"
	for i in $LIST _xoxo_
	do
		if [ $i = _xoxo_ ]
		then
			prep_shar $THISSHAR
			break
		fi

		ssize=`$LSCMD $THISSHAR $i | $AWK '
			BEGIN { n = 0 }
			{ n += $5 }
			END { printf("%d\n", n) }
		'`

		if [ $ssize -le $MAXSZ ]
		then
			THISSHAR="$THISSHAR $i"
			n=`echo $i | sed -e 's/\//\\\\\//g'`
			FILES=`echo "$FILES" | sed -e "s/$n[ 	]*//"`
			$ECHO "  Adding $i"
		fi
	done
done

# Handle big files
for i in $BIGFILES
do
	$ECHO "  Adding $i"
	prep_shar $i
done

# Create the shar files
$ECHO "\nCreating shar files...\n"
do_shar

rm -f $TMP3
exit 0

