#!/bin/sh
#
# @(#)makesrc.sh	3.13 94/06/21
#
# Make software source code release
#
#    xmcd  - Motif(tm) CD Audio Player
#    cda   - Command-line CD Audio Player
#    libdi - CD Audio Player Device Interface Library
#
#    Copyright (C) 1994  Ti Kan
#    E-mail: ti@amb.org
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
#

FILES="	Imakefile \
	Makefile.std \
	BUGS \
	COPYING \
	INSTALL \
	CHANGES \
	PORTING \
	README \
	install.sh \
	make.inc \
	common.d/Imakefile \
	common.d/Makefile.std \
	common.d/appenv.h \
	common.d/patchlevel.h \
	common.d/util.c \
	common.d/util.h \
	libdi.d/Imakefile \
	libdi.d/Makefile.std \
	libdi.d/libdi.h \
	libdi.d/os_aix.c \
	libdi.d/os_aix.h \
	libdi.d/os_aux.c \
	libdi.d/os_aux.h \
	libdi.d/os_cdsim.c \
	libdi.d/os_cdsim.h \
	libdi.d/os_dec.c \
	libdi.d/os_dec.h \
	libdi.d/os_demo.c \
	libdi.d/os_demo.h \
	libdi.d/os_dgux.c \
	libdi.d/os_dgux.h \
	libdi.d/os_hpux.c \
	libdi.d/os_hpux.h \
	libdi.d/os_irix.c \
	libdi.d/os_irix.h \
	libdi.d/os_linux.c \
	libdi.d/os_linux.h \
	libdi.d/os_odt.c \
	libdi.d/os_odt.h \
	libdi.d/os_sun.c \
	libdi.d/os_sun.h \
	libdi.d/os_svr4.c \
	libdi.d/os_svr4.h \
	libdi.d/scsipt.c \
	libdi.d/scsipt.h \
	libdi.d/vu_chin.c \
	libdi.d/vu_chin.h \
	libdi.d/vu_hita.c \
	libdi.d/vu_hita.h \
	libdi.d/vu_nec.c \
	libdi.d/vu_nec.h \
	libdi.d/vu_pion.c \
	libdi.d/vu_pion.h \
	libdi.d/vu_sony.c \
	libdi.d/vu_sony.h \
	libdi.d/vu_tosh.c \
	libdi.d/vu_tosh.h \
	libdi.d/configure.sh \
	libdi.d/common.cfg \
	libdi.d/device.cfg \
	libdi.d/cfgtbl/Apple \
	libdi.d/cfgtbl/Chinon \
	libdi.d/cfgtbl/Compaq \
	libdi.d/cfgtbl/DEC \
	libdi.d/cfgtbl/Hitachi \
	libdi.d/cfgtbl/IBM \
	libdi.d/cfgtbl/NEC \
	libdi.d/cfgtbl/Pioneer \
	libdi.d/cfgtbl/Plextor \
	libdi.d/cfgtbl/Procom \
	libdi.d/cfgtbl/Sony \
	libdi.d/cfgtbl/Sun \
	libdi.d/cfgtbl/Toshiba \
	xmcd.d/Imakefile \
	xmcd.d/Makefile.std \
	xmcd.d/XKeysymDB \
	xmcd.d/XMcd.ad \
	xmcd.d/cdfunc.c \
	xmcd.d/cdfunc.h \
	xmcd.d/dbprog.c \
	xmcd.d/dbprog.h \
	xmcd.d/geom.c \
	xmcd.d/geom.h \
	xmcd.d/help.c \
	xmcd.d/help.h \
	xmcd.d/hotkey.c \
	xmcd.d/hotkey.h \
	xmcd.d/main.c \
	xmcd.d/resource.h \
	xmcd.d/widget.c \
	xmcd.d/widget.h \
	xmcd.d/xmcd.h \
	xmcd.d/xmcd.man \
	xmcd.d/bitmaps/ab.xbm \
	xmcd.d/bitmaps/btnlbl.xbm \
	xmcd.d/bitmaps/dbprog.xbm \
	xmcd.d/bitmaps/eject.xbm \
	xmcd.d/bitmaps/ff.xbm \
	xmcd.d/bitmaps/help.xbm \
	xmcd.d/bitmaps/keypad.xbm \
	xmcd.d/bitmaps/lock.xbm \
	xmcd.d/bitmaps/logo.xbm \
	xmcd.d/bitmaps/nextidx.xbm \
	xmcd.d/bitmaps/nexttrk.xbm \
	xmcd.d/bitmaps/playpaus.xbm \
	xmcd.d/bitmaps/poweroff.xbm \
	xmcd.d/bitmaps/previdx.xbm \
	xmcd.d/bitmaps/prevtrk.xbm \
	xmcd.d/bitmaps/repeat.xbm \
	xmcd.d/bitmaps/rew.xbm \
	xmcd.d/bitmaps/sample.xbm \
	xmcd.d/bitmaps/shuffle.xbm \
	xmcd.d/bitmaps/stop.xbm \
	xmcd.d/bitmaps/time.xbm \
	xmcd.d/bitmaps/xmcd.xbm \
	xmcd.d/hlpfiles/AbBtn \
	xmcd.d/hlpfiles/CheckBox \
	xmcd.d/hlpfiles/DbModeInd \
	xmcd.d/hlpfiles/DbProgBtn \
	xmcd.d/hlpfiles/DdCancelBtn \
	xmcd.d/hlpfiles/DdClrBtn \
	xmcd.d/hlpfiles/DdDiscTxt \
	xmcd.d/hlpfiles/DdOkBtn \
	xmcd.d/hlpfiles/DiscIdInd \
	xmcd.d/hlpfiles/DiscTitleInd \
	xmcd.d/hlpfiles/DpAboutBtn \
	xmcd.d/hlpfiles/DpAddPgmBtn \
	xmcd.d/hlpfiles/DpClrPgmBtn \
	xmcd.d/hlpfiles/DpDExtBtn \
	xmcd.d/hlpfiles/DpDTitleTxt \
	xmcd.d/hlpfiles/DpSendBtn \
	xmcd.d/hlpfiles/DpPgmSeqTxt \
	xmcd.d/hlpfiles/DpSaveBtn \
	xmcd.d/hlpfiles/DpLinkBtn \
	xmcd.d/hlpfiles/DpLoadBtn \
	xmcd.d/hlpfiles/DpCancelBtn \
	xmcd.d/hlpfiles/DpTExtBtn \
	xmcd.d/hlpfiles/DpTTitleTxt \
	xmcd.d/hlpfiles/DpTimeSelBtn \
	xmcd.d/hlpfiles/DpTrkList \
	xmcd.d/hlpfiles/DsCancelBtn \
	xmcd.d/hlpfiles/DsDirList \
	xmcd.d/hlpfiles/DsOkBtn \
	xmcd.d/hlpfiles/DtCancelBtn \
	xmcd.d/hlpfiles/DtClrBtn \
	xmcd.d/hlpfiles/DtOkBtn \
	xmcd.d/hlpfiles/DtTrackTxt \
	xmcd.d/hlpfiles/EjectBtn \
	xmcd.d/hlpfiles/FfBtn \
	xmcd.d/hlpfiles/HelpBtn \
	xmcd.d/hlpfiles/IndexInd \
	xmcd.d/hlpfiles/KeypadBtn \
	xmcd.d/hlpfiles/KeypadInd \
	xmcd.d/hlpfiles/KpCancelBtn \
	xmcd.d/hlpfiles/KpClearBtn \
	xmcd.d/hlpfiles/KpEnterBtn \
	xmcd.d/hlpfiles/KpNumBtn \
	xmcd.d/hlpfiles/LevelScale \
	xmcd.d/hlpfiles/LsCancelBtn \
	xmcd.d/hlpfiles/LsLinkList \
	xmcd.d/hlpfiles/LsOkBtn \
	xmcd.d/hlpfiles/NextIdxBtn \
	xmcd.d/hlpfiles/NextTrkBtn \
	xmcd.d/hlpfiles/PlayModeInd \
	xmcd.d/hlpfiles/PlayPauseBtn \
	xmcd.d/hlpfiles/PowerBtn \
	xmcd.d/hlpfiles/PrevIdxBtn \
	xmcd.d/hlpfiles/PrevTrkBtn \
	xmcd.d/hlpfiles/ProgModeInd \
	xmcd.d/hlpfiles/RewBtn \
	xmcd.d/hlpfiles/SampleBtn \
	xmcd.d/hlpfiles/StopBtn \
	xmcd.d/hlpfiles/TimeBtn \
	xmcd.d/hlpfiles/TimeInd \
	xmcd.d/hlpfiles/TimeModeInd \
	xmcd.d/hlpfiles/TrackInd \
	xmcd.d/hlpfiles/TrackTitleInd \
	cda.d/Imakefile \
	cda.d/Makefile.std \
	cda.d/cda.c \
	cda.d/cda.h \
	cda.d/cda.man \
	misc.d/makerel.sh \
	misc.d/makesrc.sh \
	misc.d/makeshar.sh \
	misc.d/demo.db \
	wm2xmcd.d/Imakefile \
	wm2xmcd.d/Makefile.std \
	wm2xmcd.d/wm2xmcd.c \
	wm2xmcd.d/wm2xmcd.man"


# Use Sysv echo if possible
if [ -x /usr/5bin/echo ]				# SunOS SysV echo
then
	ECHO=/usr/5bin/echo
elif [ -z "`(echo -e a) 2>/dev/null | fgrep e`" ]	# GNU bash, etc.
then
	ECHO="echo -e"
else							# generic SysV
	ECHO=echo
fi

CURDIR=`pwd`
if [ `basename "$CURDIR"` = misc.d ]
then
	cd ..
elif [ ! -f install.sh ]
then
	$ECHO "You must run the makesrc.sh script while in the xmcd"
	$ECHO "source code distribution top-level directory or in the"
	$ECHO "misc.d subdirectory."
	exit 1
fi

# Create tar archive
tar cf xmcdsrc.tar $FILES

# Compress tar archive
compress xmcdsrc.tar

$ECHO '

Instructions to unpack xmcd source code release
-----------------------------------------------

The following is a compressed and uuencoded tar archive containing
the xmcd, cda and libdi source code files.  To extract, make a
suitable source code directory for xmcd and save this message in a
file "xmcdsrc.uue" in that directory.  Then, change to the directory
and do the following:

	uudecode xmcdsrc.uue
	uncompress xmcdsrc.tar.Z
	tar xvf xmcdsrc.tar

Read the README and INSTALL files for further instructions.

' >xmcdsrc.uue

# Uuencode
uuencode xmcdsrc.tar.Z xmcdsrc.tar.Z >>xmcdsrc.uue

rm -f xmcdsrc.tar.Z
ls -l xmcdsrc.uue
exit 0

